package com.ssj.bean.sys.cardinfo.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "tb_card_award")
public class CardAward extends BaseEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = -3791917611749261770L;
 
	
	private Integer awardPlace;//奖品类型 1、2、3、4、5、6分别对应一等奖、二等奖、三等奖
	
	private String snCode;//中奖sncode
	
	private  String awardType;//奖品实物 1、2、3、4、5、6分别对应一等奖、二等奖、三等奖
	
	private Integer  awardStatus;//// 领奖状态 0 未开奖  1 中奖  2领取  3兑奖  默认0
	
	private String awardTel;  //中奖人手机号码
	
	private String userId;//中奖人:
	
	private Date awardTime; //中奖时间
	
	private Date useTime ;//领奖时间
	
	private String cardId;//活动ID
	 @Column(name = "award_place") 
	public Integer getAwardPlace() {
		return awardPlace;
	}

	public void setAwardPlace(Integer awardPlace) {
		this.awardPlace = awardPlace;
	}

	@Column(name = "sn_code") 
	public String getSnCode() {
		return snCode;
	}

	public void setSnCode(String snCode) {
		this.snCode = snCode;
	}

	@Column(name = "award_type") 
	public String getAwardType() {
		return awardType;
	}

	public void setAwardType(String awardType) {
		this.awardType = awardType;
	}

	@Column(name = "award_status") 
	public Integer getAwardStatus() {
		return awardStatus;
	}

	public void setAwardStatus(Integer awardStatus) {
		this.awardStatus = awardStatus;
	}

	@Column(name = "award_tel") 
	public String getAwardTel() {
		return awardTel;
	}

	public void setAwardTel(String awardTel) {
		this.awardTel = awardTel;
	}

	@Column(name = "user_id") 
	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	@Column(name = "award_time") 
	public Date getAwardTime() {
		return awardTime;
	}

	public void setAwardTime(Date awardTime) {
		this.awardTime = awardTime;
	}

	@Column(name = "use_time") 
	public Date getUseTime() {
		return useTime;
	}

	public void setUseTime(Date useTime) {
		this.useTime = useTime;
	}

	@Column(name = "card_id") 
	public String getCardId() {
		return cardId;
	}

	public void setCardId(String cardId) {
		this.cardId = cardId;
	}
	
	
	
	
	
}
